Criar educationUser
Artigo
07/18/2022
10 minutos para o fim da leitura
3 colaboradores
Neste artigo
Namespace: microsoft.graph
Crie um novo objeto educationUser.
Permissões
Uma das seguintes permissões é obrigatória para chamar esta API. Para saber mais, incluindo como escolher permissões, confira Permissões .
Tipo de permissão
Permissões (da com menos para a com mais privilégios)
Delegado (conta corporativa ou de estudante)
Sem suporte.
Delegado (conta pessoal da Microsoft)
Sem suporte.
Aplicativo
EduRoster.ReadWrite.All
Solicitação HTTP
POST /education/users
Nome
Descrição
Autorização
{token} de portador. Obrigatório.
Content-Type
application/json. Obrigatório.
Corpo da solicitação
No corpo da solicitação, fornece uma representação JSON do objeto educationUser.
A tabela a seguir mostra as propriedades que são necessárias ao criar educationUser .
Propriedade
Tipo
Descrição
accountEnabled
Booliano
True se a conta estiver habilitada; caso contrário, false . Essa propriedade é obrigatória quando um usuário é criado. Oferece suporte a $filter.
assignedLicenses
Coleção assignedLicense
As licenças que são atribuídas ao usuário. Não anulável.
assignedPlans
Coleção assignedPlan
Os planos que são atribuídos ao usuário. Somente leitura. Não anulável.
businessPhones
Coleção de cadeias de caracteres
Números de telefone para o usuário. Observação: embora essa seja uma coleção de cadeias de caracteres, somente um número pode ser definido para essa propriedade.
createdBy
identitySet
Entidade que criou o usuário.
departamento
String
O nome do departamento no qual o usuário trabalha. Oferece suporte a $filter.
displayName
String
O nome exibido para o usuário no catálogo de endereços. Geralmente é a combinação do nome, da inicial do nome do meio e do sobrenome do usuário. Essa propriedade é obrigatória quando um usuário é criado e não pode ser apagado durante atualizações. Oferece suporte a $filter e $orderby.
externalSource
educationExternalSource
De onde esse usuário foi criado. Os valores possíveis são: sis e manual.
externalSourceDetail
Cadeia de caracteres
O nome da fonte externa de onde esses recursos foram gerados.
givenName
String
O nome fornecido (nome) do usuário. Oferece suporte a $filter.
email
String
O endereço SMTP do usuário, por exemplo, "jeff@contoso.onmicrosoft.com". Somente Leitura. Oferece suporte a $filter.
mailingAddress
physicalAddress
Endereço de email do usuário.
mailNickname
String
O alias de email do usuário. Essa propriedade deve ser especificada quando um usuário é criado. Oferece suporte a $filter.
middleName
String
O nome do meio do usuário.
mobilePhone
String
O número de celular principal do usuário.
onPremisesInfo
educationOnPremisesInfo
Informações adicionais usadas para associar o AAD usuário ao seu equivalente do Active Directory.
passwordPolicies
String
Especifica as políticas de senha do usuário. Este valor é uma enumeração com um possível valor sendo "DisableStrongPassword", que permite especificar as senhas mais fracas do que a política padrão. O "DisablePasswordExpiration" também pode ser especificado. Os dois podem ser especificados juntos, por exemplo: "DisablePasswordExpiration, DisableStrongPassword".
passwordProfile
passwordProfile
Especifica o perfil de senha do usuário. O perfil contém a senha do usuário. Essa propriedade é obrigatória quando um usuário é criado. A senha no perfil deve atender a requisitos mínimos, conforme especificado pela propriedade passwordPolicies . Por padrão, é obrigatória uma senha forte.
preferredLanguage
String
O idioma preferencial do usuário. Deve seguir o código ISO 639-1; por exemplo, "en-US".
primaryRole
educationUserRole
Função padrão de um usuário. A função do usuário pode ser diferente em uma aula individual. Os valores possíveis são: student, teacher, none.
provisionedPlans
coleção provisionedPlan
Os planos que estão provisionados para o usuário. Somente leitura. Não anulável.
residenceAddress
physicalAddress
Endereço em que o usuário reside.
student
educationStudent
Se a função principal for aluno, esse bloco conterá dados específicos do aluno.
surname
String
O sobrenome do usuário (nome de família ou sobrenome). Oferece suporte a $filter.
teacher
educationTeacher
Se a função primária for professor, esse bloco conterá dados específicos do professor.
usageLocation
String
Um código de país de duas letras (padrão ISO 3166). Obrigatório para os usuários que receberão licenças devido à exigência legal de verificar a disponibilidade de serviços em países ou regiões. Os exemplos incluem: "US", "JP" e "GB". Não anulável. Oferece suporte a $filter.
userPrincipalName
String
O nome UPN do usuário.
userType
String
Um valor de cadeia de caracteres que pode ser usado para classificar tipos de usuários no seu diretório, como "Member" e "Guest". Oferece suporte a $filter.
Resposta
Se bem-sucedido, esse método retornará um código de resposta 201 Created e um objeto educationUser no corpo da resposta.
Exemplos
Solicitação
POST https://graph.microsoft.com/v1.0/education/users
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.educationUser",
"primaryRole": "String",
"middleName": "String",
"externalSource": "String",
"externalSourceDetail": "String",
"residenceAddress": {
"@odata.type": "microsoft.graph.physicalAddress"
},
"mailingAddress": {
"@odata.type": "microsoft.graph.physicalAddress"
},
"student": {
"@odata.type": "microsoft.graph.educationStudent"
},
"teacher": {
"@odata.type": "microsoft.graph.educationTeacher"
},
"createdBy": {
"@odata.type": "microsoft.graph.identitySet"
},
"accountEnabled": "Boolean",
"assignedLicenses": [
{
"@odata.type": "microsoft.graph.assignedLicense"
}
],
"assignedPlans": [
{
"@odata.type": "microsoft.graph.assignedPlan"
}
],
"businessPhones": [
"String"
],
"department": "String",
"displayName": "String",
"givenName": "String",
"mail": "String",
"mailNickname": "String",
"mobilePhone": "String",
"passwordPolicies": "String",
"passwordProfile": {
"@odata.type": "microsoft.graph.passwordProfile"
},
"officeLocation": "String",
"preferredLanguage": "String",
"provisionedPlans": [
{
"@odata.type": "microsoft.graph.provisionedPlan"
}
],
"refreshTokensValidFromDateTime": "String (timestamp)",
"showInAddressList": "Boolean",
"surname": "String",
"usageLocation": "String",
"userPrincipalName": "String",
"userType": "String",
"onPremisesInfo": {
"@odata.type": "microsoft.graph.educationOnPremisesInfo"
}
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var educationUser = new EducationUser
{
PrimaryRole = EducationUserRole.Student,
MiddleName = "String",
ExternalSource = EducationExternalSource.Sis,
ExternalSourceDetail = "String",
ResidenceAddress = new PhysicalAddress
{
},
MailingAddress = new PhysicalAddress
{
},
Student = new EducationStudent
{
},
Teacher = new EducationTeacher
{
},
CreatedBy = new IdentitySet
{
},
AccountEnabled = false,
AssignedLicenses = new List<AssignedLicense>()
{
new AssignedLicense
{
}
},
AssignedPlans = new List<AssignedPlan>()
{
new AssignedPlan
{
}
},
BusinessPhones = new List<String>()
{
"String"
},
Department = "String",
DisplayName = "String",
GivenName = "String",
Mail = "String",
MailNickname = "String",
MobilePhone = "String",
PasswordPolicies = "String",
PasswordProfile = new PasswordProfile
{
},
OfficeLocation = "String",
PreferredLanguage = "String",
ProvisionedPlans = new List<ProvisionedPlan>()
{
new ProvisionedPlan
{
}
},
RefreshTokensValidFromDateTime = DateTimeOffset.Parse("String (timestamp)"),
ShowInAddressList = false,
Surname = "String",
UsageLocation = "String",
UserPrincipalName = "String",
UserType = "String",
OnPremisesInfo = new EducationOnPremisesInfo
{
}
};
await graphClient.Education.Users
.Request()
.AddAsync(educationUser);
Para obter detalhes sobre como adicionar o SDK ao seu projeto e criar uma instância authProvider , consulte a documentação do SDK .
const options = {
authProvider,
};
const client = Client.init(options);
const educationUser = {
'@odata.type': '#microsoft.graph.educationUser',
primaryRole: 'String',
middleName: 'String',
externalSource: 'String',
externalSourceDetail: 'String',
residenceAddress: {
'@odata.type': 'microsoft.graph.physicalAddress'
},
mailingAddress: {
'@odata.type': 'microsoft.graph.physicalAddress'
},
student: {
'@odata.type': 'microsoft.graph.educationStudent'
},
teacher: {
'@odata.type': 'microsoft.graph.educationTeacher'
},
createdBy: {
'@odata.type': 'microsoft.graph.identitySet'
},
accountEnabled: 'Boolean',
assignedLicenses: [
{
'@odata.type': 'microsoft.graph.assignedLicense'
}
],
assignedPlans: [
{
'@odata.type': 'microsoft.graph.assignedPlan'
}
],
businessPhones: [
'String'
],
department: 'String',
displayName: 'String',
givenName: 'String',
mail: 'String',
mailNickname: 'String',
mobilePhone: 'String',
passwordPolicies: 'String',
passwordProfile: {
'@odata.type': 'microsoft.graph.passwordProfile'
},
officeLocation: 'String',
preferredLanguage: 'String',
provisionedPlans: [
{
'@odata.type': 'microsoft.graph.provisionedPlan'
}
],
refreshTokensValidFromDateTime: 'String (timestamp)',
showInAddressList: 'Boolean',
surname: 'String',
usageLocation: 'String',
userPrincipalName: 'String',
userType: 'String',
onPremisesInfo: {
'@odata.type': 'microsoft.graph.educationOnPremisesInfo'
}
};
await client.api('/education/users')
.post(educationUser);
Para obter detalhes sobre como adicionar o SDK ao seu projeto e criar uma instância authProvider , consulte a documentação do SDK .
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/education/users"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphEducationUser *educationUser = [[MSGraphEducationUser alloc] init];
[educationUser setPrimaryRole: [MSGraphEducationUserRole student]];
[educationUser setMiddleName:@"String"];
[educationUser setExternalSource: [MSGraphEducationExternalSource sis]];
[educationUser setExternalSourceDetail:@"String"];
MSGraphPhysicalAddress *residenceAddress = [[MSGraphPhysicalAddress alloc] init];
[educationUser setResidenceAddress:residenceAddress];
MSGraphPhysicalAddress *mailingAddress = [[MSGraphPhysicalAddress alloc] init];
[educationUser setMailingAddress:mailingAddress];
MSGraphEducationStudent *student = [[MSGraphEducationStudent alloc] init];
[educationUser setStudent:student];
MSGraphEducationTeacher *teacher = [[MSGraphEducationTeacher alloc] init];
[educationUser setTeacher:teacher];
MSGraphIdentitySet *createdBy = [[MSGraphIdentitySet alloc] init];
[educationUser setCreatedBy:createdBy];
[educationUser setAccountEnabled:@"Boolean"];
NSMutableArray *assignedLicensesList = [[NSMutableArray alloc] init];
MSGraphAssignedLicense *assignedLicenses = [[MSGraphAssignedLicense alloc] init];
[assignedLicensesList addObject: assignedLicenses];
[educationUser setAssignedLicenses:assignedLicensesList];
NSMutableArray *assignedPlansList = [[NSMutableArray alloc] init];
MSGraphAssignedPlan *assignedPlans = [[MSGraphAssignedPlan alloc] init];
[assignedPlansList addObject: assignedPlans];
[educationUser setAssignedPlans:assignedPlansList];
NSMutableArray *businessPhonesList = [[NSMutableArray alloc] init];
[businessPhonesList addObject: @"String"];
[educationUser setBusinessPhones:businessPhonesList];
[educationUser setDepartment:@"String"];
[educationUser setDisplayName:@"String"];
[educationUser setGivenName:@"String"];
[educationUser setMail:@"String"];
[educationUser setMailNickname:@"String"];
[educationUser setMobilePhone:@"String"];
[educationUser setPasswordPolicies:@"String"];
MSGraphPasswordProfile *passwordProfile = [[MSGraphPasswordProfile alloc] init];
[educationUser setPasswordProfile:passwordProfile];
[educationUser setOfficeLocation:@"String"];
[educationUser setPreferredLanguage:@"String"];
NSMutableArray *provisionedPlansList = [[NSMutableArray alloc] init];
MSGraphProvisionedPlan *provisionedPlans = [[MSGraphProvisionedPlan alloc] init];
[provisionedPlansList addObject: provisionedPlans];
[educationUser setProvisionedPlans:provisionedPlansList];
[educationUser setRefreshTokensValidFromDateTime:@"String (timestamp)"];
[educationUser setShowInAddressList:@"Boolean"];
[educationUser setSurname:@"String"];
[educationUser setUsageLocation:@"String"];
[educationUser setUserPrincipalName:@"String"];
[educationUser setUserType:@"String"];
MSGraphEducationOnPremisesInfo *onPremisesInfo = [[MSGraphEducationOnPremisesInfo alloc] init];
[educationUser setOnPremisesInfo:onPremisesInfo];
NSError *error;
NSData *educationUserData = [educationUser getSerializedDataWithError:&error];
[urlRequest setHTTPBody:educationUserData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
Para obter detalhes sobre como adicionar o SDK ao seu projeto e criar uma instância authProvider , consulte a documentação do SDK .
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
EducationUser educationUser = new EducationUser();
educationUser.primaryRole = EducationUserRole.STUDENT;
educationUser.middleName = "String";
educationUser.externalSource = EducationExternalSource.SIS;
educationUser.externalSourceDetail = "String";
PhysicalAddress residenceAddress = new PhysicalAddress();
educationUser.residenceAddress = residenceAddress;
PhysicalAddress mailingAddress = new PhysicalAddress();
educationUser.mailingAddress = mailingAddress;
EducationStudent student = new EducationStudent();
educationUser.student = student;
EducationTeacher teacher = new EducationTeacher();
educationUser.teacher = teacher;
IdentitySet createdBy = new IdentitySet();
educationUser.createdBy = createdBy;
educationUser.accountEnabled = false;
LinkedList<AssignedLicense> assignedLicensesList = new LinkedList<AssignedLicense>();
AssignedLicense assignedLicenses = new AssignedLicense();
assignedLicensesList.add(assignedLicenses);
educationUser.assignedLicenses = assignedLicensesList;
LinkedList<AssignedPlan> assignedPlansList = new LinkedList<AssignedPlan>();
AssignedPlan assignedPlans = new AssignedPlan();
assignedPlansList.add(assignedPlans);
educationUser.assignedPlans = assignedPlansList;
LinkedList<String> businessPhonesList = new LinkedList<String>();
businessPhonesList.add("String");
educationUser.businessPhones = businessPhonesList;
educationUser.department = "String";
educationUser.displayName = "String";
educationUser.givenName = "String";
educationUser.mail = "String";
educationUser.mailNickname = "String";
educationUser.mobilePhone = "String";
educationUser.passwordPolicies = "String";
PasswordProfile passwordProfile = new PasswordProfile();
educationUser.passwordProfile = passwordProfile;
educationUser.officeLocation = "String";
educationUser.preferredLanguage = "String";
LinkedList<ProvisionedPlan> provisionedPlansList = new LinkedList<ProvisionedPlan>();
ProvisionedPlan provisionedPlans = new ProvisionedPlan();
provisionedPlansList.add(provisionedPlans);
educationUser.provisionedPlans = provisionedPlansList;
educationUser.refreshTokensValidFromDateTime = OffsetDateTimeSerializer.deserialize("String (timestamp)");
educationUser.showInAddressList = false;
educationUser.surname = "String";
educationUser.usageLocation = "String";
educationUser.userPrincipalName = "String";
educationUser.userType = "String";
EducationOnPremisesInfo onPremisesInfo = new EducationOnPremisesInfo();
educationUser.onPremisesInfo = onPremisesInfo;
graphClient.education().users()
.buildRequest()
.post(educationUser);
Para obter detalhes sobre como adicionar o SDK ao seu projeto e criar uma instância authProvider , consulte a documentação do SDK .
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewEducationUser()
primaryRole := "String"
requestBody.SetPrimaryRole(&primaryRole)
middleName := "String"
requestBody.SetMiddleName(&middleName)
externalSource := "String"
requestBody.SetExternalSource(&externalSource)
externalSourceDetail := "String"
requestBody.SetExternalSourceDetail(&externalSourceDetail)
residenceAddress := msgraphsdk.NewPhysicalAddress()
requestBody.SetResidenceAddress(residenceAddress)
residenceAddress.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.physicalAddress",
}
mailingAddress := msgraphsdk.NewPhysicalAddress()
requestBody.SetMailingAddress(mailingAddress)
mailingAddress.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.physicalAddress",
}
student := msgraphsdk.NewEducationStudent()
requestBody.SetStudent(student)
student.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.educationStudent",
}
teacher := msgraphsdk.NewEducationTeacher()
requestBody.SetTeacher(teacher)
teacher.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.educationTeacher",
}
createdBy := msgraphsdk.NewIdentitySet()
requestBody.SetCreatedBy(createdBy)
createdBy.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.identitySet",
}
accountEnabled := "Boolean"
requestBody.SetAccountEnabled(&accountEnabled)
requestBody.SetAssignedLicenses( []AssignedLicense {
msgraphsdk.NewAssignedLicense(),
SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.assignedLicense",
}
}
requestBody.SetAssignedPlans( []AssignedPlan {
msgraphsdk.NewAssignedPlan(),
SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.assignedPlan",
}
}
requestBody.SetBusinessPhones( []String {
"String",
}
department := "String"
requestBody.SetDepartment(&department)
displayName := "String"
requestBody.SetDisplayName(&displayName)
givenName := "String"
requestBody.SetGivenName(&givenName)
mail := "String"
requestBody.SetMail(&mail)
mailNickname := "String"
requestBody.SetMailNickname(&mailNickname)
mobilePhone := "String"
requestBody.SetMobilePhone(&mobilePhone)
passwordPolicies := "String"
requestBody.SetPasswordPolicies(&passwordPolicies)
passwordProfile := msgraphsdk.NewPasswordProfile()
requestBody.SetPasswordProfile(passwordProfile)
passwordProfile.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.passwordProfile",
}
officeLocation := "String"
requestBody.SetOfficeLocation(&officeLocation)
preferredLanguage := "String"
requestBody.SetPreferredLanguage(&preferredLanguage)
requestBody.SetProvisionedPlans( []ProvisionedPlan {
msgraphsdk.NewProvisionedPlan(),
SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.provisionedPlan",
}
}
refreshTokensValidFromDateTime, err := time.Parse(time.RFC3339, "String (timestamp)")
requestBody.SetRefreshTokensValidFromDateTime(&refreshTokensValidFromDateTime)
showInAddressList := "Boolean"
requestBody.SetShowInAddressList(&showInAddressList)
surname := "String"
requestBody.SetSurname(&surname)
usageLocation := "String"
requestBody.SetUsageLocation(&usageLocation)
userPrincipalName := "String"
requestBody.SetUserPrincipalName(&userPrincipalName)
userType := "String"
requestBody.SetUserType(&userType)
onPremisesInfo := msgraphsdk.NewEducationOnPremisesInfo()
requestBody.SetOnPremisesInfo(onPremisesInfo)
onPremisesInfo.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.educationOnPremisesInfo",
}
requestBody.SetAdditionalData(map[string]interface{}{
"@odata.type": "#microsoft.graph.educationUser",
}
result, err := graphClient.Education().Users().Post(requestBody)
Para obter detalhes sobre como adicionar o SDK ao seu projeto e criar uma instância authProvider , consulte a documentação do SDK .
Import-Module Microsoft.Graph.Education
$params = @{
"@odata.type" = "#microsoft.graph.educationUser"
PrimaryRole = "String"
MiddleName = "String"
ExternalSource = "String"
ExternalSourceDetail = "String"
ResidenceAddress = @{
"@odata.type" = "microsoft.graph.physicalAddress"
}
MailingAddress = @{
"@odata.type" = "microsoft.graph.physicalAddress"
}
Student = @{
"@odata.type" = "microsoft.graph.educationStudent"
}
Teacher = @{
"@odata.type" = "microsoft.graph.educationTeacher"
}
CreatedBy = @{
"@odata.type" = "microsoft.graph.identitySet"
}
AccountEnabled = "Boolean"
AssignedLicenses = @(
@{
"@odata.type" = "microsoft.graph.assignedLicense"
}
)
AssignedPlans = @(
@{
"@odata.type" = "microsoft.graph.assignedPlan"
}
)
BusinessPhones = @(
"String"
)
Department = "String"
DisplayName = "String"
GivenName = "String"
Mail = "String"
MailNickname = "String"
MobilePhone = "String"
PasswordPolicies = "String"
PasswordProfile = @{
"@odata.type" = "microsoft.graph.passwordProfile"
}
OfficeLocation = "String"
PreferredLanguage = "String"
ProvisionedPlans = @(
@{
"@odata.type" = "microsoft.graph.provisionedPlan"
}
)
RefreshTokensValidFromDateTime = [System.DateTime]::Parse("String (timestamp)")
ShowInAddressList = "Boolean"
Surname = "String"
UsageLocation = "String"
UserPrincipalName = "String"
UserType = "String"
OnPremisesInfo = @{
"@odata.type" = "microsoft.graph.educationOnPremisesInfo"
}
}
New-MgEducationUser -BodyParameter $params
Para obter detalhes sobre como adicionar o SDK ao seu projeto e criar uma instância authProvider , consulte a documentação do SDK .
Resposta
Observação: o objeto de resposta mostrado aqui pode ser encurtado para legibilidade.
HTTP/1.1 201 Created
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.educationUser",
"id": "90eedea1-dea1-90ee-a1de-ee90a1deee90",
"primaryRole": "String",
"middleName": "String",
"externalSource": "String",
"externalSourceDetail": "String",
"residenceAddress": {
"@odata.type": "microsoft.graph.physicalAddress"
},
"mailingAddress": {
"@odata.type": "microsoft.graph.physicalAddress"
},
"student": {
"@odata.type": "microsoft.graph.educationStudent"
},
"teacher": {
"@odata.type": "microsoft.graph.educationTeacher"
},
"createdBy": {
"@odata.type": "microsoft.graph.identitySet"
},
"accountEnabled": "Boolean",
"assignedLicenses": [
{
"@odata.type": "microsoft.graph.assignedLicense"
}
],
"assignedPlans": [
{
"@odata.type": "microsoft.graph.assignedPlan"
}
],
"businessPhones": [
"String"
],
"department": "String",
"displayName": "String",
"givenName": "String",
"mail": "String",
"mailNickname": "String",
"mobilePhone": "String",
"passwordPolicies": "String",
"passwordProfile": {
"@odata.type": "microsoft.graph.passwordProfile"
},
"officeLocation": "String",
"preferredLanguage": "String",
"provisionedPlans": [
{
"@odata.type": "microsoft.graph.provisionedPlan"
}
],
"refreshTokensValidFromDateTime": "String (timestamp)",
"showInAddressList": "Boolean",
"surname": "String",
"usageLocation": "String",
"userPrincipalName": "String",
"userType": "String",
"onPremisesInfo": {
"@odata.type": "microsoft.graph.educationOnPremisesInfo"
}
}